from setuptools import setup

def readme():
    with open('README.md') as f:
        return f.read()

setup(
    name='utilities_immuneml',
    version='0.1',
    packages=['utilities_immuneml'],
    url='',
    license='MIT',
    author='Chakravarthi Kanduri',
    author_email='chakra.kanduri@gmail.com',
    description='',
    include_package_data=True,
    zip_safe=False,
    entry_points={'console_scripts': ['gen_kmer_specs=utilities_immuneml.generate_random_kmer_specification:execute',
                                      'gen_kmer_lists=utilities_immuneml.generate_varying_number_kmers_lists:execute',
                                      'gen_random_rep=utilities_immuneml.generate_random_repertoire:execute',
                                      'gen_metadata_file=utilities_immuneml.generate_metadata_file:execute',
                                      't_test=utilities_immuneml.t_test_between_labeled_groups:execute']}
)
